diff --git a/buildroot/bin/use_example_configs b/buildroot/bin/use_example_configs
index bfd4aa612f0..cb3c2424d61 100755
--- a/buildroot/bin/use_example_configs
+++ b/buildroot/bin/use_example_configs
@@ -13,8 +13,8 @@ CURR=$(git branch 2>/dev/null | grep ^* | sed 's/\* //g')
 [[ $CURR == "bugfix-2.0.x" ]] && BRANCH=bugfix-2.0.x || BRANCH=bugfix-2.1.x
 
 IFS=: read -r PART1 PART2 <<< "$@"
-[[ -n $PART2 ]] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \
-                || { REPO=$BRANCH  ; RDIR="${PART1// /%20}" ; }
+[[ -n $PART2 ]] && { REPO="$PART1" ; UDIR="$PART2" ; } \
+                || { REPO=$BRANCH  ; UDIR="$PART1" ; }
 EXAMPLES="https://raw.githubusercontent.com/MarlinFirmware/Configurations/$REPO/config/examples"
 
 which curl >/dev/null && TOOL='curl -L -s -S -f -o wgot'
@@ -24,7 +24,8 @@ restore_configs
 
 cd Marlin
 
-echo "Fetching $RDIR configurations from $REPO..."
+RDIR="${UDIR// /%20}"
+echo "Fetching $UDIR configurations from $REPO..."
 
 $TOOL "$EXAMPLES/$RDIR/Configuration.h"     >/dev/null 2>&1 && mv wgot Configuration.h
 $TOOL "$EXAMPLES/$RDIR/Configuration_adv.h" >/dev/null 2>&1 && mv wgot Configuration_adv.h
diff --git a/buildroot/tests/STM32F103RE_creality b/buildroot/tests/STM32F103RE_creality
index 5e6d5f044ac..f1478bc2c42 100755
--- a/buildroot/tests/STM32F103RE_creality
+++ b/buildroot/tests/STM32F103RE_creality
@@ -18,7 +18,7 @@ opt_disable DWIN_CREALITY_LCD
 opt_enable DWIN_CREALITY_LCD_JYERSUI AUTO_BED_LEVELING_BILINEAR PROBE_MANUALLY
 exec_test $1 $2 "Ender 3 v2 with JyersUI" "$3"
 
-use_example_configs "Creality/Ender-3 S1"
+use_example_configs "Creality/Ender-3 S1/STM32F1"
 opt_disable DWIN_CREALITY_LCD Z_MIN_PROBE_USES_Z_MIN_ENDSTOP_PIN AUTO_BED_LEVELING_BILINEAR CONFIGURATION_EMBEDDING CANCEL_OBJECTS FWRETRACT
 opt_enable DWIN_LCD_PROUI INDIVIDUAL_AXIS_HOMING_SUBMENU LCD_SET_PROGRESS_MANUALLY STATUS_MESSAGE_SCROLLING \
            SOUND_MENU_ITEM PRINTCOUNTER NOZZLE_PARK_FEATURE ADVANCED_PAUSE_FEATURE FILAMENT_RUNOUT_SENSOR \